Moodle ‘course-tags’函数多个跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1172290 漏洞类型 跨站脚本
发布时间 2012-07-16 更新时间 2012-07-16
CVE编号 CVE-2011-4282 CNNVD-ID CNNVD-201207-204
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
https://www.securityfocus.com/bid/73808
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201207-204
|漏洞详情
Moodle是澳大利亚马丁-多基马(MartinDougiamas)博士开发的一套免费、开源的电子学习软件平台,也称课程管理系统、学习管理系统或虚拟学习环境。Moodle2.0.2之前的2.0.x版本中的tag/coursetags_more.php中的course-tags函数中存在多个跨站脚本(XSS)漏洞。远程攻击者可利用这些漏洞通过(1)sort或(2)show参数注入任意web脚本或HTML。
|受影响的产品
Moodle Moodle 2.0.1 Moodle Moodle 2.0
|参考资料

来源:git.moodle.org
链接:http://git.moodle.org/gw?p=moodle.git;a=commit;h=73de6fa06f6923278950a445bd69b3fbc1e518d2
来源:MLIST
名称:[oss-security]20111113Re:Fwd:DSA2338-1moodlesecurityupdate
链接:http://openwall.com/lists/oss-security/2011/11/14/1
来源:moodle.org
链接:http://moodle.org/mod/forum/discuss.php?d=170008